require(methods)

setClass("deDGEList",
#  Linear model fit
representation("list")
)

setClass("DGEList",
#  Linear model fit
representation("list")
)

setClass("EBList",
#  Linear model fit
representation("list")
)

setMethod("show","DGEList",
  function(object) {
    cat(class(object),":\n",sep="")
	cat("$data\n")
	print(object$data[1:5,])
	cat(nrow(object$data)-5,"more rows ...\n")
	
	cat("\n$lib.size\n")
	print(object$lib.size)
	cat("\n$group\n")
	print(object$group)
  })

setMethod("show","EBList",
  function(object) {
    cat(class(object),":\n",sep="")
	cat("$alpha\n")
	print(object$alpha)
	cat("\n$common.dispersion\n")
	print(object$common.dispersion)
  })

setMethod("show","deDGEList",
  function(object) {
    nmore <- nrow(object$pseudo)-5
    cat(class(object),":\n",sep="")

	cat("$ps$p.common\n")
	print(object$ps$p.common[1:5])
	cat(nmore,"more elements ...\n")

	cat("\n$ps$p.group\n")
	print(object$ps$p.group[1:5,])
	cat(nmore,"more rows ...\n")
	
	cat("\n$r\n")
	print(object$r[1:5])
	cat(nmore,"more elements ...\n")
	cat("\n$group\n")
	print(object$group)
	cat("\n$M\n")
	print(object$M)
  })

#setGeneric("plotMA", function(object, pair=c(1,2), xlab = "A", ylab = "M", ylim=NULL, pch = 19, ...) standardGeneric("plotMA"))


DGEList <- function(data=matrix(0), lib.size=NULL, group=factor(), verbose=FALSE, ...) 
{
	if (ncol(data) != length(group))
		stop("Length of 'group' must equal number of columns in 'data'")
	if (!is.factor(group))
		group<-as.factor(group)
	if(!is.matrix(data)) 
		data<-as.matrix(data)
        if(is.null(lib.size)) {
                lib.size <- colSums(data)
                warning("Calculating library sizes from total number of reads for each library.")
        }
	if(length(colnames(data)) < ncol(data)) {
			colnames(data)<-paste("sample",c(1:ncol(data)),sep=".")
	}
	if (ncol(data) != length(lib.size))
		stop("Length of 'lib.size' must equal number of columns in 'data'")
        # remove rows which are all 0
        allZeros <- rowSums(data,na.rm=TRUE)==0
        if( sum(allZeros) > 0) {
          data <- data[!allZeros,]
          warning("Removing ", sum(allZeros)," rows that all have zero counts.")
        }
        if( verbose ) {
          cat("----------------------------------------\n")
          cat("Breakdown of TOTAL counts by ZERO counts\n")
          cat("----------------------------------------\n")
          tab <-  table( cut(rowSums(data),breaks=c((0:9)+.5,1e6)), rowSums(data==0), dnn=c("rowWiseCountSum","nbrOfZeroObserations") )
          print(tab)
          cat("----------------------------------------\n")
        }

	o <- order(group)
	new("DGEList",list(data=data[,o], lib.size=lib.size[o], group=as.factor(group[o]),...))
}


getData <- function(object)
{
  object$data
}

